/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.pivot.wtk.validation;

import java.util.Locale;

/**
 * A validator for an int value.
 * <p>
 * Beware that usual math rules for native primitive types (and related approximations) are applied here.
 *
 * @see BigIntegerValidator
 */
public class IntValidator extends DecimalValidator {
    public IntValidator() {
        format.setParseIntegerOnly(true);
    }

    public IntValidator(Locale locale) {
        super(locale);
        format.setParseIntegerOnly(true);
    }

}
